be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class Feedback

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Feedback

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:01:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class Feedback
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="reportrequested" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Feedback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextType` | `getText()` Gets the value of the text property.
    `boolean` | `isReportrequested()` Gets the value of the reportrequested property.
    `void` | `setReportrequested(boolean value)` Sets the value of the reportrequested property.
    `void` | `setText(TextType value)` Sets the value of the text property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Feedback

          public Feedback()

  - ### Method Detail

    - #### isReportrequested

          public boolean isReportrequested()

      Gets the value of the reportrequested property.

    - #### setReportrequested

          public void setReportrequested(boolean value)

      Sets the value of the reportrequested property.

    - #### getText

          public TextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `TextType`

    - #### setText

          public void setText(TextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `TextType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.